Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.converters.marshaller.xml
Class GenericJavaBeanMarshaller

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.marshaller.xml.GenericJavaBeanMarshaller

All Implemented Interfaces:
  ObjectMarshaller<XML>

    public class GenericJavaBeanMarshaller

extends Object
implements ObjectMarshaller<XML>

Since:
  1.1
Author:
  Siegfried Puchbauer

Constructor Summary
`GenericJavaBeanMarshaller()`

Method Summary
`void` | `marshalObject(Object o, XML xml)` Performs the conversion
`boolean` | `supports(Object object)` Checks wheter the ObjectMarshaller is able/intended to support the given Object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericJavaBeanMarshaller

    public GenericJavaBeanMarshaller()

Method Detail

### supports

    public boolean supports(Object object)

  Description copied from interface: `ObjectMarshaller`
  Checks wheter the ObjectMarshaller is able/intended to support the given Object

  Specified by:
    `supports` in interface `ObjectMarshaller<XML>`
  Parameters:
    `object` - the object which is about getting converted
  Returns:
    `true` if the marshaller can/should perform the marshalling, `false` otherwise

### marshalObject

    public void marshalObject(Object o,
                              XML xml)
                       throws ConverterException

  Description copied from interface: `ObjectMarshaller`
  Performs the conversion

  Specified by:
    `marshalObject` in interface `ObjectMarshaller<XML>`
  Parameters:
    `o` - the object which is about getting converted
    `xml` - the Converter to use
  Throws:
    `ConverterException` - on failure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD